#include <cstdio>
#include <cmath>
using namespace std;
int main()
{
    int r;
    while(~scanf("%d",&r))
        if(r<0||r>100)
            puts("Score is error!");
        else if(r>=90)
            puts("A");
        else if(r>=80)
            puts("B");
        else if(r>=70)
            puts("C");
        else if(r>=60)
            puts("D");
        else
            puts("E");
    return 0;
}
